#include "PreguntaSeleccionUnica.h"

PreguntaSeleccionUnica::PreguntaSeleccionUnica()
{
}


std::istream& operator>>(std::istream& in, PreguntaSeleccionUnica& pregunta)
{
	const size_t bufferSize = 2048;
	char buffer[bufferSize];

	in.getline(buffer, bufferSize);
	pregunta.texto = buffer;
	in >> pregunta.respuesta; in.ignore();

	pregunta.opciones.clear();
	for ( size_t i = 0; i < 4; ++i )
	{
		in.getline(buffer, bufferSize);
		pregunta.opciones.push_back(buffer);
	}

	in.ignore();
	return in;
}

std::ostream& operator<<(std::ostream& out, const PreguntaSeleccionUnica& pregunta)
{
	for ( size_t i = 0; i < pregunta.opciones.size(); ++i )
		out << '\t' << i + 1 << ": " << pregunta.opciones[i] << std::endl;
	return out << std::endl;
}


